NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Die.HeelpostBuilder Class Reference

Represents a NXOpen.Die.HeelpostBuilder builder More...

Inheritance diagram for NXOpen.Die.HeelpostBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { GuidepostWearplate, StorageBlock, SafetyBlock }
 Heelpost types More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe NXOpen.Expression BaseOffset [get]
 Returns the offset to apply to the given base before building the heelpost More...
 
unsafe NXOpen.Die.DiePlaneBuilder BaseOrientation [get]
 Returns the base of the heelpost More...
 
unsafe
NXOpen.Die.DieLocationBuilder 
Center [get]
 Returns the location (center) for the heelpost More...
 
unsafe bool CreateFloor [get, set]
 Returns or sets the value (true or false) to decide if the floor of the post should be created More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter of the guide pin hole More...
 
unsafe
NXOpen.SelectCoordinateSystem 
DieCenterlineCoordinateSystem [get]
 Returns the die centerline coordinate system for orienting the heelpost More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Expression FloorThickness [get]
 Returns the floor thickness More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height from the selected base orientation to the origin of the pad orientation, if the pad orientation is not specified. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
HoleAttributes [get]
 Returns the hole attributes More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
HoleDiameterAttributes [get]
 Returns the hole diameter attributes (only the title is used) More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length with respect to the coordinate system More...
 
unsafe NXOpen.Expression LocationOffset [get]
 Returns the offset value to apply in the offset direction to find the heelpost center More...
 
unsafe
NXOpen.Die.DieDirectionBuilder 
OffsetDirection [get]
 Returns the direction to apply to the location to determine the center of the heelpost More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
PadAttributes [get]
 Returns the pad attributes More...
 
unsafe NXOpen.Expression PadOffset [get]
 Returns the offset value to apply to the pad orientation before building the heelpost More...
 
unsafe NXOpen.Die.DiePlaneBuilder PadOrientation [get]
 Returns the orientation at the top of the heelpost More...
 
unsafe NXOpen.Expression PadThickness [get]
 Returns the pad thickness at the top of the post More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
ReliefAttributes [get]
 Returns the relief attributes More...
 
unsafe NXOpen.Expression ReliefDepth [get]
 Returns the relief depth More...
 
unsafe NXOpen.Expression ReliefWidth [get]
 Returns the relief width More...
 
unsafe NXOpen.SelectNXObject Target [get]
 Returns the target solid the heelpost will be united with More...
 
unsafe
NXOpen.Die.HeelpostBuilder.Types 
Type [get, set]
 Returns or sets the post type More...
 
unsafe bool UsePercent [get, set]
 Returns or sets the value (true or false) to decide how to determine the wall thickness. More...
 
unsafe bool WallACreate [get, set]
 Returns or sets the value (true or false) to decide if the "A" wall should be created More...
 
unsafe NXOpen.Expression WallAOffset [get]
 Returns the offset from the outside to be applied to the "A" wall More...
 
unsafe bool WallARelief [get, set]
 Returns or sets the value (true or false) to decide if relief should be created at the top of the "A" wall More...
 
unsafe NXOpen.Expression WallAThickness [get]
 Returns the "A" wall thickness More...
 
unsafe bool WallBCreate [get, set]
 Returns or sets the value (true or false) to decide if the "B" wall should be created More...
 
unsafe NXOpen.Expression WallBOffset [get]
 Returns the offset from the outside to be applied to the "B wall More...
 
unsafe bool WallBRelief [get, set]
 Returns or sets the value (true or false) to decide if relief should be created at the top of the "B" wall More...
 
unsafe NXOpen.Expression WallBThickness [get]
 Returns the "B" wall thickness More...
 
unsafe bool WallCCreate [get, set]
 Returns or sets the value (true or false) to decide if the "C" wall should be created More...
 
unsafe NXOpen.Expression WallCOffset [get]
 Returns the offset from the outside to be applied to the "C" wall More...
 
unsafe bool WallCRelief [get, set]
 Returns or sets the value (true or false) to decide if relief should be created at the top of the "C" wall More...
 
unsafe NXOpen.Expression WallCThickness [get]
 Returns the "C" wall thickness More...
 
unsafe bool WallDCreate [get, set]
 Returns or sets the value (true or false) to decide if the "D" wall should be created More...
 
unsafe NXOpen.Expression WallDOffset [get]
 Returns the offset from the outside to be applied to the "D" wall More...
 
unsafe bool WallDRelief [get, set]
 Returns or sets the value (true or false) to decide if relief should be created at the top of the "D" wall More...
 
unsafe NXOpen.Expression WallDThickness [get]
 Returns the "D" wall thickness More...
 
unsafe NXOpen.Expression WallPercentage [get]
 Returns the percentage of the post area to be applied to determine the wall thicknesses More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width with respect to the coordinate system More...
 
unsafe NXOpen.Expression XOffset [get]
 Returns the offset applied in the X direction to determine the hole center More...
 
unsafe NXOpen.Expression YOffset [get]
 Returns the offset applied in the Y direction to determine the hole center More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Die.HeelpostBuilder builder

To create a new instance of this class, use NXOpen.Die.DieCollection.Heelpost

Default values.

Property Value

AngleTolerance

0.5

BaseOffset.Value

0 (millimeters part), 0 (inches part)

Center.InputType

SelectLocation

CreateFloor

0

Diameter.Value

50 (millimeters part), 2 (inches part)

DistanceTolerance

0.0254

FloorThickness.Value

60 (millimeters part), 1.4 (inches part)

Height.Value

300 (millimeters part), 12 (inches part)

Length.Value

150 (millimeters part), 6 (inches part)

LocationOffset.Value

0 (millimeters part), 0 (inches part)

PadOffset.Value

0 (millimeters part), 0 (inches part)

PadThickness.Value

60 (millimeters part), 10.4 (inches part)

ReliefDepth.Value

5 (millimeters part), 0.2 (inches part)

ReliefWidth.Value

5 (millimeters part), 0.2 (inches part)

UsePercent

0

WallACreate

1

WallAOffset.Value

0 (millimeters part), 0 (inches part)

WallARelief

0

WallAThickness.Value

30 (millimeters part), 1.2 (inches part)

WallBCreate

1

WallBOffset.Value

0 (millimeters part), 0 (inches part)

WallBRelief

0

WallBThickness.Value

30 (millimeters part), 1.2 (inches part)

WallCCreate

1

WallCOffset.Value

0 (millimeters part), 0 (inches part)

WallCRelief

0

WallCThickness.Value

30 (millimeters part), 1.2 (inches part)

WallDCreate

1

WallDOffset.Value

0 (millimeters part), 0 (inches part)

WallDRelief

0

WallDThickness.Value

30 (millimeters part), 1.2 (inches part)

WallPercentage.Value

40

Width.Value

150 (millimeters part), 6 (inches part)

XOffset.Value

0 (millimeters part), 0 (inches part)

YOffset.Value

0 (millimeters part), 0 (inches part)

Created in NX6.0.0

Member Enumeration Documentation

Heelpost types

Enumerator
GuidepostWearplate 

allows a guide pin hole to be created

StorageBlock 

no hole allowed

SafetyBlock 

no hole allowed

Property Documentation

unsafe double NXOpen.Die.HeelpostBuilder.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.BaseOffset
get

Returns the offset to apply to the given base before building the heelpost

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DiePlaneBuilder NXOpen.Die.HeelpostBuilder.BaseOrientation
get

Returns the base of the heelpost

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieLocationBuilder NXOpen.Die.HeelpostBuilder.Center
get

Returns the location (center) for the heelpost

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.CreateFloor
getset

Returns or sets the value (true or false) to decide if the floor of the post should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.Diameter
get

Returns the diameter of the guide pin hole

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectCoordinateSystem NXOpen.Die.HeelpostBuilder.DieCenterlineCoordinateSystem
get

Returns the die centerline coordinate system for orienting the heelpost

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Die.HeelpostBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.FloorThickness
get

Returns the floor thickness

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.Height
get

Returns the height from the selected base orientation to the origin of the pad orientation, if the pad orientation is not specified.

This is before application of any specified base and pad offsets.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.HeelpostBuilder.HoleAttributes
get

Returns the hole attributes

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.HeelpostBuilder.HoleDiameterAttributes
get

Returns the hole diameter attributes (only the title is used)

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.Length
get

Returns the length with respect to the coordinate system

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.LocationOffset
get

Returns the offset value to apply in the offset direction to find the heelpost center

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieDirectionBuilder NXOpen.Die.HeelpostBuilder.OffsetDirection
get

Returns the direction to apply to the location to determine the center of the heelpost

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.HeelpostBuilder.PadAttributes
get

Returns the pad attributes

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.PadOffset
get

Returns the offset value to apply to the pad orientation before building the heelpost

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DiePlaneBuilder NXOpen.Die.HeelpostBuilder.PadOrientation
get

Returns the orientation at the top of the heelpost

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.PadThickness
get

Returns the pad thickness at the top of the post

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.HeelpostBuilder.ReliefAttributes
get

Returns the relief attributes

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.ReliefDepth
get

Returns the relief depth

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.ReliefWidth
get

Returns the relief width

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Die.HeelpostBuilder.Target
get

Returns the target solid the heelpost will be united with

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Die.HeelpostBuilder.Types NXOpen.Die.HeelpostBuilder.Type
getset

Returns or sets the post type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.HeelpostBuilder.UsePercent
getset

Returns or sets the value (true or false) to decide how to determine the wall thickness.

True will evaluate each wall based on the total area of the post

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.HeelpostBuilder.WallACreate
getset

Returns or sets the value (true or false) to decide if the "A" wall should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallAOffset
get

Returns the offset from the outside to be applied to the "A" wall

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallARelief
getset

Returns or sets the value (true or false) to decide if relief should be created at the top of the "A" wall

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallAThickness
get

Returns the "A" wall thickness

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallBCreate
getset

Returns or sets the value (true or false) to decide if the "B" wall should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallBOffset
get

Returns the offset from the outside to be applied to the "B wall

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallBRelief
getset

Returns or sets the value (true or false) to decide if relief should be created at the top of the "B" wall

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallBThickness
get

Returns the "B" wall thickness

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallCCreate
getset

Returns or sets the value (true or false) to decide if the "C" wall should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallCOffset
get

Returns the offset from the outside to be applied to the "C" wall

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallCRelief
getset

Returns or sets the value (true or false) to decide if relief should be created at the top of the "C" wall

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallCThickness
get

Returns the "C" wall thickness

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallDCreate
getset

Returns or sets the value (true or false) to decide if the "D" wall should be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallDOffset
get

Returns the offset from the outside to be applied to the "D" wall

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.HeelpostBuilder.WallDRelief
getset

Returns or sets the value (true or false) to decide if relief should be created at the top of the "D" wall

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallDThickness
get

Returns the "D" wall thickness

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.WallPercentage
get

Returns the percentage of the post area to be applied to determine the wall thicknesses

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.Width
get

Returns the width with respect to the coordinate system

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.XOffset
get

Returns the offset applied in the X direction to determine the hole center

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.HeelpostBuilder.YOffset
get

Returns the offset applied in the Y direction to determine the hole center

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.